<template lang="pug">
title-bar {{$t("default.add_user")}}
b-container
	.tile.is-ancestor
		.tile.is-vertical
			.tile.is-parent
				b-card.tile.is-child
					client-form( :loading='pending' @submit='create' )
</template>

<script setup>
import ClientForm from "@/components/client/Form.vue"

import { computed } from "vue"
import { useRouter } from "vue-router"

import { useClientsStore } from "@/stores/clients"
import { useToast } from "vue-toastification"
import { useI18n } from "vue-i18n"

const toast = useToast()
const { t } = useI18n()
const $router = useRouter()
const cs = useClientsStore()

const pending = computed(() => cs.pending)

const create = async body => {
	if (pending.value) return

	cs.pending = true

	try {
		await cs.addClient(body)
		toast.success(t("default.client.created"))
		$router.push({ name: "Clients" })
	} catch(err) {
		console.error(err)
	}

	cs.pending = false

}
</script>